Bug 389851 - Upgrade to F8 fails on non-default swap location
Upgrade to F8 fails on non-default swap location
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-18 20:10 EST by John Mellor
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version: F9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-04 20:17:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Mellor 2007-11-18 20:10:11 EST
Description of problem:
Unable to upgrade if swap is not on VolGroup00

Version-Release number of selected component (if applicable):

How reproducible:
unkown, I've only doen it once and had to fresh-install to work-around

Steps to Reproduce:
1.F7 installed on VolGroup07 instead of the default VolGroup00 (to work around
completely insufficient failed-disk handling in lvm and in recovery disk).
2.Install F8 in upgrade mode.
Actual results:
Install fails almost immediately, with an unable to find swap on VolGroup00 message.

Expected results:
Normal upgrade installation.

Additional info:
Comment 1 John Mellor 2007-11-18 20:14:52 EST
I only installed F7 in VolGroup07 because of prior bad history of trying to
recover from a corrupted root disk by installing a second disk, and being unable
to mount the partially-failed filesystem because it was part of the same volume
group as the new root disk.  As an aside, someone, please fix the completely
broken lvm tools that do not handle this very-common scenario at all.
Comment 2 Phil Knirsch 2007-11-20 11:17:49 EST
Reassigning to installer component (anaconda) as this is more of an installer
problem than a problem with the component setup.

Read ya, Phil
Comment 3 Andy Lindeberg 2008-06-03 14:40:44 EDT
Have you been able to reproduce the problem in F9?
Comment 4 John Mellor 2008-06-04 20:17:37 EDT
Problem does not occur in F9 fresh install.  Presumed fixed.

Note You need to log in before you can comment on or make changes to this bug.